
package com.reactlibrary;


import android.widget.Toast; 
import android.os.Build.VERSION; 
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;
import android.app.AlertDialog;  


public class RNAlizaModule extends ReactContextBaseJavaModule {

  private  final ReactApplicationContext reactContext;
   
   
  private static Toast obj; 
  
  public RNAlizaModule(ReactApplicationContext reactContext) {
    super(reactContext);
    this.reactContext = reactContext;
    obj = new Toast(getReactApplicationContext()); 
  }


  @Override
  public String getName() {
    return "RNAliza";
  }

  public static Toast getObj(){
  	 return obj; 
  }

  
    

    
@ReactMethod
    public void getDuration(Callback successful){
    Toast namer = getObj(); 
     
    successful.invoke(namer.getDuration());  

 }

 @ReactMethod
 public boolean setDuration(int val, Callback successful){
  
    Toast namer = getObj(); 
    namer.setDuration(val); 
    return true; 

}

  

}












